MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023312Community[OCCT] OCCT:Modeling Algorithmspublic2012-07-17 19:122013-04-29 15:21
ReporterPawel 
Assigned Toaba 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformAOSLOS VersionL
Product Version[OCCT] 6.5.3 
Target Version[OCCT] 6.6.0Fixed in Version[OCCT] 6.6.0 
Summary0023312: Suspicious for loop in BiTgte_Blend.cxx
DescriptionStarting in line 2327:

 Standard_Integer NbS = NbSurfaces();
  NbS = 0;
  for (Standard_Integer i = 1; i <= NbS; i++) {
    const TopoDS_Shape& S1 = SupportShape1(i);
...

Because 'NbS' is set to '0' the loop will not be run at all.

Was this intended?
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
child of 0023132closedomy Suspicious code snippets 

-  Notes
(0021802)
aba (developer)
2012-10-16 18:11

Line 'NbS=0;' was deleted to allow a following loop be executable.
(0021805)
aba (developer)
2012-10-16 18:15

The Git branch CR23312 is ready to be reviewed.

Dear oan, please review.
(0021808)
abv (manager)
2012-10-16 18:33

Let's test it to see the effect
(0021833)
mkv (tester)
2012-10-18 14:26

Dear BugMaster,
Branch CR23312 (and master from occt-products) was compiled on Linux and Windows platforms and tested.

Regressions:
Not detected

Improvements:
Not detected

Testing cases:
Not needed

- Related Changesets
occt: master 26920f38
Timestamp: 2012-10-16 14:06:05
Author: aba
Details ] Diff ]
0023312: Suspicious for loop in BiTgte_Blend.cxx

Deleted line 'NbS=0;' to allow next loop be executable
mod - src/BiTgte/BiTgte_Blend.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-07-17 19:12 Pawel New Issue
2012-07-17 19:12 Pawel Assigned To => bugmaster
2012-07-17 19:12 Pawel Relationship added child of 0023132
2012-07-17 19:13 Pawel Summary Suspicious for loop in BiTgte_Blend => Suspicious for loop in BiTgte_Blend.cxx
2012-07-18 12:07 bugmaster Assigned To bugmaster => jgv
2012-07-18 12:07 bugmaster Status new => assigned
2012-10-09 18:51 oan Assigned To jgv => aba
2012-10-16 18:11 aba Note Added: 0021802
2012-10-16 18:15 aba Note Added: 0021805
2012-10-16 18:16 aba Status assigned => resolved
2012-10-16 18:17 aba Assigned To aba => oan
2012-10-16 18:33 abv Note Added: 0021808
2012-10-16 18:33 abv Assigned To oan => bugmaster
2012-10-16 18:33 abv Status resolved => reviewed
2012-10-17 12:31 mkv Assigned To bugmaster => mkv
2012-10-18 14:26 mkv Note Added: 0021833
2012-10-18 14:27 mkv Test case number => Not needed
2012-10-18 14:27 mkv Assigned To mkv => bugmaster
2012-10-18 14:27 mkv Status reviewed => tested
2012-10-19 16:33 abv Target Version 6.5.4 => 6.6.0
2012-11-16 13:03 aba Changeset attached => occt master 26920f38
2012-11-16 13:03 aba Assigned To bugmaster => aba
2012-11-16 13:03 aba Status tested => verified
2012-11-16 13:03 aba Resolution open => fixed
2012-12-10 17:16 aba Changeset attached => occt master 26920f38
2013-04-23 13:36 user533 Status verified => closed
2013-04-29 15:21 user533 Fixed in Version => 6.6.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker